curl --request GET \
--url https://api.example.com/api/v1/plans/{plan_id} \
--header 'Authorization: Bearer <token>'{
"available_parameters": {
"billing_periods": {},
"capacity_thresholds": {},
"slot_components": [
"<string>"
]
},
"created_at": "2023-11-07T05:31:56Z",
"currency": "<string>",
"id": "<string>",
"name": "<string>",
"net_terms": 123,
"plan_type": "STANDARD",
"price_components": [
{
"id": "<string>",
"name": "<string>",
"fee": {
"rates": [
{
"price": "<string>",
"term": "MONTHLY"
}
]
},
"product_id": "prd_7n42DGM5Tflk9n8mt7Fhc7"
}
],
"product_family": {
"id": "<string>",
"name": "<string>"
},
"status": "DRAFT",
"version": 123,
"version_id": "<string>",
"description": "<string>",
"trial": {
"duration_days": 1,
"is_free": true,
"trialing_plan_id": "plan_7n42DGM5Tflk9n8mt7Fhc7"
}
}Retrieve the details of a specific plan
curl --request GET \
--url https://api.example.com/api/v1/plans/{plan_id} \
--header 'Authorization: Bearer <token>'{
"available_parameters": {
"billing_periods": {},
"capacity_thresholds": {},
"slot_components": [
"<string>"
]
},
"created_at": "2023-11-07T05:31:56Z",
"currency": "<string>",
"id": "<string>",
"name": "<string>",
"net_terms": 123,
"plan_type": "STANDARD",
"price_components": [
{
"id": "<string>",
"name": "<string>",
"fee": {
"rates": [
{
"price": "<string>",
"term": "MONTHLY"
}
]
},
"product_id": "prd_7n42DGM5Tflk9n8mt7Fhc7"
}
],
"product_family": {
"id": "<string>",
"name": "<string>"
},
"status": "DRAFT",
"version": 123,
"version_id": "<string>",
"description": "<string>",
"trial": {
"duration_days": 1,
"is_free": true,
"trialing_plan_id": "plan_7n42DGM5Tflk9n8mt7Fhc7"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Plan ID
"plan_7n42DGM5Tflk9n8mt7Fhc7"
Plan details
Show child attributes
"plan_7n42DGM5Tflk9n8mt7Fhc7"
STANDARD, FREE, CUSTOM Show child attributes
Show child attributes
DRAFT, ACTIVE, INACTIVE, ARCHIVED "plv_7n42DGM5Tflk9n8mt7Fhc7"
Show child attributes